.timeline{
    min-width: 320px;
    width:fit-content;
    margin: 0 auto 50px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap-reverse;
    direction: rtl;
    max-width: 1800px;
    position: relative;
}
.timeline__blocks{
    display: flex;
    flex-direction: row;
    align-items: center;
}
.timeline__block{
    width: auto;
    position: relative;
    margin-bottom: 20px;
    flex-grow: 1;
}

.timeline__block-rectangle {
    min-width: 60px;
    width: 100%;
    height: 10px;
}
.timeline__block-line{
    width: 2px;
    height: 16px;
    margin: auto;
}
.timeline__block-circle {
    transition: all 0.3s ease-in-out 0s;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    margin: auto;
}

.timeline__block-year{
    margin-top: 15px;
    text-align: center;
    font-size: 16px;
    font-weight: 400;
    font-family: 'Elektra', Arial, sans-serif;
    transition: all 0.3s ease-in-out 0s;
}

.pale-blue {
    background: #b8e0ff;
}
.blue {
    background: #439ce0;
}
.dark-blue {
    background: #0072c8;
}

.red {
    background: #e00910;
}
.timeline__block-image{
    cursor: pointer;
    position: relative;
    width: 80px;
    height: 80px;
    background-repeat: no-repeat;
    background-size: 75px;
    background-image: url("/images/tild6161-3432-4830-b066-396637306663__photo.svg");
    margin-left: -1px;
    display: flex;
    align-items: center;
    margin-bottom: 20px;

}
.map-height {
    height: 750px;
}
.timeline__popup{
    direction: ltr;
    background-color: #ffffff;
    font-family: 'Elektra', Arial, sans-serif;
    position: absolute;
    font-size: 17px;
    line-height:1.4;
    bottom: 100px;
    left: -100px;
    -webkit-box-shadow: 0px 0px 20px -2px rgba(34, 60, 80, 0.63);
    -moz-box-shadow: 0px 0px 20px -2px rgba(34, 60, 80, 0.63);
    box-shadow: 0px 0px 20px -2px rgba(34, 60, 80, 0.63);
    width: 280px;
    padding: 12px;
    border-radius: 8px;
    opacity: 0;
    display: none;
    z-index: 200;
    animation-fill-mode: forwards;
    animation-direction: alternate;
}

.timeline__popup_type_icon {
    bottom: -15px;
    left: 110px;
}

.timeline__block:hover {
    cursor: pointer;
}
.timeline__block:hover .timeline__block-year{
    -webkit-transform: scale(1.3);
    -moz-transform: scale(1.3);
    -ms-transform: scale(1.3);
    -o-transform: scale(1.3);
    transform: scale(1.3);
}
.timeline__block:hover .timeline__popup{
    display: block;
    opacity: 1;
    transform: scale(1.1);
    animation: fadeInFromNone 0.6s ease-in-out;
}
.timeline__block:hover .timeline__block-circle {
    -webkit-transform: scale(1.3);
    -moz-transform: scale(1.3);
    -ms-transform: scale(1.3);
    -o-transform: scale(1.3);
    transform: scale(1.3);
}

.timeline__block-image:hover .timeline__popup_type_icon {
    display: block;
    opacity: 1;
    transform: scale(1.1);
    animation: fadeInFromNone 0.6s ease-in-out;
}

@keyframes fadeInFromNone {
    from {
        display: none;
        opacity: 0;
        transform: scale(1.0);
    }
    to {
        display: block;
        opacity: 1;
        transform: scale(1.1);
    }
}


@media (max-width: 1800px) {
    .timeline__popup_type_icon {
        bottom: 120px;
        left: -100px;
    }
}
@media (max-width: 1320px) {
    .timeline__popup_type_icon {
        left: -190px;
    }
    .timeline__popup{
        font-size: 16px;
    }
    .timeline__blocks{
        width:300px;
        margin: auto;
        margin-bottom: 20px;
    }
    .timeline__popup_type_icon {
        right: 0;
        left:auto;
    }
    .timeline {
        max-width: 600px;
        margin: auto;
        padding: 50px 100px 0;
    }
}

@media (max-width: 960px) {
    .map-height {
        height: 750px;
    }
}

@media (max-width: 945px) {
    .timeline__popup_type_icon {
        bottom: 120px;
        left: -100px;
    }
    .timeline__popup{
        width: 200px;
        bottom: 100px;
        left: 0px;
    }

    .popup-last {
        right: 0;
        left:auto;
    }
}

@media (max-width: 760px) {
    .timeline__popup {
        bottom: 85%;
        left:50%;
        width:100%;
        max-width: 300px;
    }
    .timeline__popup_type_icon {
        bottom: 75%;
        left:50%;
        right: auto;
    }
    .timeline__block:hover .timeline__popup{
        transform: translate(-50%, -50%);
    }
    .timeline__block-image:hover .timeline__popup_type_icon{
        transform: translate(-50%, -50%);
    }
    .timeline__block{
        position: static;
    }
    .timeline__block-image{
        position: static;
    }
    .popup-last{
        right: auto;
    }
    @keyframes fadeInFromNone {
        from {
            display: none;
            opacity: 0;
            transform: translate(0%, 0%);
        }
        to {
            display: block;
            opacity: 1;
            transform: translate(-50%, -50%);
        }
    }
}


@media (max-width: 500px) {
    .timeline {
        padding: 0 0 0 0;
    }

    .timeline__popup {
        bottom: 95%;
    }
    .timeline__popup_type_icon {
        bottom: 85%;
    }
}


@media (max-width: 330px) {
    .timeline__blocks{
        margin: 0 0 20px 0;
    }
}
